=== debian/changelog ===
ros-rolling-canopen-ros2-control (0.2.7-1jammy) jammy; urgency=high

  * Correct Proxy controller after changes and update tests.
  * Contributors: Dr. Denis, Christoph Hellmann Santos

 -- Lovro Ivanov <lovro.ivanov@gmail.com>  Thu, 29 Jun 2023 22:00:00 -0000

ros-rolling-canopen-ros2-control (0.2.6-1jammy) jammy; urgency=high



 -- Lovro Ivanov <lovro.ivanov@gmail.com>  Fri, 23 Jun 2023 22:00:00 -0000

ros-rolling-canopen-ros2-control (0.2.5-1jammy) jammy; urgency=high



 -- Lovro Ivanov <lovro.ivanov@gmail.com>  Thu, 22 Jun 2023 22:00:00 -0000

ros-rolling-canopen-ros2-control (0.2.4-1jammy) jammy; urgency=high



 -- Lovro Ivanov <lovro.ivanov@gmail.com>  Wed, 21 Jun 2023 22:00:00 -0000

ros-rolling-canopen-ros2-control (0.2.3-1jammy) jammy; urgency=high

  * Solve buildfarm issues
  * Contributors: Christoph Hellmann Santos

 -- Lovro Ivanov <lovro.ivanov@gmail.com>  Wed, 21 Jun 2023 22:00:00 -0000

ros-rolling-canopen-ros2-control (0.2.2-1jammy) jammy; urgency=high



 -- Lovro Ivanov <lovro.ivanov@gmail.com>  Tue, 20 Jun 2023 22:00:00 -0000

ros-rolling-canopen-ros2-control (0.2.1-1jammy) jammy; urgency=high

  * Use consistenlty (uppercase) HEX output for NodeID and Index.
  * Contributors: Christoph Hellmann Santos, Denis Štogl

 -- Lovro Ivanov <lovro.ivanov@gmail.com>  Tue, 20 Jun 2023 22:00:00 -0000

ros-rolling-canopen-ros2-control (0.2.0-1jammy) jammy; urgency=high

  * Created package
  * Contributors: Błażej Sowa, Christoph Hellmann Santos, Denis Štogl, Lovro, Vishnuprasad Prachandabhanu, livanov93

 -- Lovro Ivanov <lovro.ivanov@gmail.com>  Tue, 13 Jun 2023 22:00:00 -0000
