=== debian/control ===
Source: ros-rolling-canopen-ros2-control
Section: misc
Priority: optional
Maintainer: Lovro Ivanov <lovro.ivanov@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gmock <!nocheck>, ros-rolling-canopen-402-driver, ros-rolling-canopen-core, ros-rolling-canopen-proxy-driver, ros-rolling-hardware-interface, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-rclcpp-lifecycle, ros-rolling-ros2-control-test-assets <!nocheck>, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-canopen-ros2-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-canopen-402-driver, ros-rolling-canopen-core, ros-rolling-canopen-proxy-driver, ros-rolling-hardware-interface, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-rclcpp-lifecycle, ros-rolling-ros-workspace
Description: ros2_control wrapper for ros2_canopen functionalities
